<?php
################################################################################
### This disclaimer must be kept intact in order to use this product.        ###
################################################################################
### Project: jT CarFramework [http://intersofts.com]
### Author: J. Toshio Taniguchi
### Since: 27.04.2011
### Version: 1.0.0
### Copyrights: J. Toshio Taniguchi
### Contact: j.taniguchi@taniguchi-blog.com
################################################################################
### CONTRIBUTORS
### - none
################################################################################
class admininbox
{
    protected $contact_list;
    protected $lang;
    protected $fstatus;
    protected $fmessage;
    protected $fstyle;


    /*
     * Constructor -------------------------------------------------------------
     */
    public function admininbox($lang=array())
    {
        $this->lang = $lang;
        
        // handle mark as read form.
        if( isset($_POST['readBtn']) )
        {
            $this->handleMarkAsReadForm();
        }
        
        // handle reply form.
        if( isset($_POST['replyBtn']) )
        {
            $this->handleReplyForm();
        }
        
        // handle delete form.
        if( isset($_POST['deleteBtn']) )
        {
            $this->handleDeleteMessage();
        }
        
        // load contact list
        $this->loadContactList();
        
        
    }
    
    /*
     * Protected method: handle remove message ---------------------------------
     * @return void.
     */
    protected function handleDeleteMessage()
    {
        $cid = trim($_POST['cid']);
        
        if( (int)$cid < 1 )
        {
            $this->fstatus = true;
            $this->fstyle = 'alert-error';
            $this->fmessage = $this->lang['CONTACT_INVALID_REQUEST'];
            return;
        }
        
        require_once BASE_CLASS . 'class-connect.php';
        
        $db = new Connect();
        $db->open();
        
        if( !@mysql_query("DELETE FROM `contact` WHERE `id`='$cid' LIMIT 1;") )
        {
            require_once BASE_CLASS . 'class-log.php';
            
            $db->close();
            
            LogReport::write('Unable to delete inbox message status at ' . __FILE__ . ':' . __LINE__ . '. ' . mysql_error());
            
            $this->fstatus = true;
            $this->fstyle = 'alert-error';
            $this->fmessage = $this->lang['CONTACT_DELETE_QUERY_ERROR'];
            return;
        }
        
        $db->close();
        
        $this->fstatus = true;
        $this->fstyle = 'alert-success';
        $this->fmessage = $this->lang['CONTACT_DELETE_SUCCESS'];
        return;
    }


    /*
     * Protected method: reply message to sender -------------------------------
     * @return void.
     */
    protected function handleReplyForm()
    {
        $cid = trim($_POST['cid']);
        $email = trim($_POST['remail']);
        $name = trim($_POST['rname']);
        
        if( (int)$cid < 1 )
        {
            $this->fstatus = true;
            $this->fstyle = 'alert-error';
            $this->fmessage = $this->lang['CONTACT_INVALID_REQUEST'];
            return;
        }
        
        require_once BASE_CLASS . 'class-utilities.php';
        
        if( !Utilities::checkEmail($email) )
        {
            $this->fstatus = true;
            $this->fstyle = 'alert-error';
            $this->fmessage = $this->lang['CONTACT_INVALID_EMAIL'];
            return;
        }
        
        if( empty($name) )
        {
            $name = $this->lang['CONTACT_GUESTNAME'];
        }
        
        header("Location: " . BASE_RELATIVE . 'home/inbox/reply-message/?messageid=' . $cid . '&email=' . $email . '&name=' . $name);
        exit;
    }


    /*
     * Protected method: mark message as read form handler ---------------------
     * @return void.
     */
    protected function handleMarkAsReadForm()
    {
        $cid = trim($_POST['cid']);
        
        if( (int)$cid < 1 )
        {
            $this->fstatus = true;
            $this->fstyle = 'alert-error';
            $this->fmessage = $this->lang['CONTACT_INVALID_REQUEST'];
            return;
        }
        
        require_once BASE_CLASS . 'class-connect.php';
        
        $db = new Connect();
        $db->open();
        
        if( !@mysql_query("UPDATE `contact` SET `read`='1' WHERE `id`='$cid' LIMIT 1;") )
        {
            require_once BASE_CLASS . 'class-log.php';
            
            $db->close();
            
            LogReport::write('Unable to update inbox message status at ' . __FILE__ . ':' . __LINE__ . '. ' . mysql_error());
            
            $this->fstatus = true;
            $this->fstyle = 'alert-error';
            $this->fmessage = $this->lang['CONTACT_READ_QUERY_ERROR'];
            return;
        }
        
        $db->close();
        
        $this->fstatus = true;
        $this->fstyle = 'alert-success';
        $this->fmessage = $this->lang['CONTACT_READ_SUCCESS'];
        return;
    }


    /*
     * Protected method: load contact list -------------------------------------
     * @return void.
     */
    protected function loadContactList()
    {
        require_once BASE_CLASS . 'class-connect.php';
        
        $db = new Connect();
        $db->open();
        
        if( !$sql = mysql_query("SELECT * FROM `contact` ORDER BY `creation` DESC") )
        {
            require_once BASE_CLASS . 'class-log.php';
            
            LogReport::write('Unable to query database at ' . __FILE__ . ':' . __LINE__ . '. ' . mysql_error());
            LogReport::fatalError($this->lang['CONTACT_QUERY_ERROR']);
        }
        
        if( @mysql_num_rows($sql) < 1 )
        {
            $this->contact_list = array();
            
            $db->close();
        }
        else
        {
            $this->contact_list = array();
            
            while( $r = @mysql_fetch_assoc($sql) )
            {
                $obj = array(
                    'id' => $r['id'],
                    'email' => $r['email'],
                    'name' => $r['name'],
                    'subject' => $r['subject'],
                    'message' => $r['message'],
                    'creation' => $r['creation'],
                    'replied' => (bool)$r['replied'],
                    'read' => (bool)$r['read'],
                    'ip' => $r['ip'],
                    'browser' => $r['browser']
                );
                
                array_push($this->contact_list, $obj);
            }
            
            @mysql_free_result($sql);
            $db->close();
        }
    }
    
    /*
     * Public method: get contact list -----------------------------------------
     * @return array.
     */
    public function getContactList()
    {
        return $this->contact_list;
    }
    
    /*
     * Public method: get form status ------------------------------------------
     * @return bool.
     */
    public function getFormStatus()
    {
        return $this->fstatus;
    }
    
    /*
     * Public method: get form style -------------------------------------------
     * @return string (alert-error | alert-warning | alert-success)
     */
    public function getFormStyle()
    {
        return $this->fstyle;
    }
    
    /*
     * Public method: get form status message ----------------------------------
     * @return string.
     */
    public function getFormStatusMessage()
    {
        return $this->fmessage;
    }
}